<!DOCTYPE html>
<html lang="ko"
	  xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : FreeGoodsPromotionRegiForm.html
 * @desc    : 세트상품 구성 관리
 *============================================================================
 * SISUN
 * Copyright(C) 2019 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2020.12.23   xodud1202   최초 작성
 *******************************************************************************
 -->
<div class="modalPopup frGoodsPro" data-width="1100">
	<div class="panelStyle">
		<div class="panelTitle">
			<h2>사은품 프로모션 관리</h2>
			<button type="button" class="close" onclick="fnFreeGoodsPromotionFormClose()"><i class="fa fa-times"></i></button>
		</div>
		<div class="marT10" style="height:650px;overflow-y:auto;padding:0 10px;">
			<form id="freeGoodsPromotionForm" name="freeGoodsPromotionForm" th:method="post">
				<input type="hidden" name="gbn" th:value="${param.gbn}" />				<!-- 신규/수정 구분 -->
				<input type="hidden" id="freegiftSq" name="freegiftSq" th:value="${param.freegiftSq}"/>	<!-- 사은품 프로모션 번호 -->

				<div class="panelContent">
					<table class="frmStyle">
						<colgroup>
							<col width="10%"/>
							<col width="60%"/>
							<col width="10%"/>
							<col width="30%"/>
						</colgroup>
						<tr>
							<th>프로모션명<em class="required" title="필수"></em></th>
							<td>
								<input class="w50p" type="text" id="freegiftNm" name="freegiftNm" minlength="2" maxlength="30" required="required" data-valid-name="프로모션명"/>
							</td>
							<th>프로모션ID</th>
							<td>
								<span name="freegiftSqText"></span>
							</td>
						</tr>
						<tr>
							<th>행사 기간<em class="required" title="필수"></em></th>
							<td>
								<input type="hidden" id="freegiftStdt" name="freegiftStdt"/>
								<input type="hidden" id="freegiftEddt" name="freegiftEddt"/>

								<input type="text" class="schDate w100" id="freegiftStDate" name="freegiftStDate" maxlength="10" required="required" data-valid-name="시작일자"/>
								<select name="freegiftStHH" id="freegiftStHH">
									<option th:if="${hhList}" th:each="oneData , status : ${hhList}" th:text="${oneData.cdNm}" th:value="${oneData.cd}"></option>
								</select>
								<select name="freegiftStMM" id="freegiftStMM">
									<option th:if="${mmList}" th:each="oneData , status : ${mmList}" th:text="${oneData.cdNm}" th:value="${oneData.cd}"></option>
								</select>
								~
								<input type="text" class="schDate w100" id="freegiftEdDate" name="freegiftEdDate" maxlength="10" required="required" data-valid-name="종료일자"/>
								<select name="freegiftEdHH" id="freegiftEdHH">
									<option th:if="${hhList}" th:each="oneData , status : ${hhList}" th:text="${oneData.cdNm}" th:value="${oneData.cd}"></option>
									<option th:text="24시" th:value="24"></option>
								</select>
								<select name="freegiftEdMM" id="freegiftEdMM">
									<option th:if="${mmList}" th:each="oneData , status : ${mmList}" th:text="${oneData.cdNm}" th:value="${oneData.cd}"></option>
								</select>
							</td>
							<th>상태</th>
							<td>
								<span name="freegiftStatText"></span>
							</td>
						</tr>
						<tr>
							<th>적용 몰 구분<em class="required" title="필수"></em></th>
							<td colspan="3">
								<label class="chkBox disabledPoint"><input type="checkbox" id="selfYn" name="selfYn" value="Y" class="disabledPoint"/>자사몰</label>
								<label class="chkBox disabledPoint" id="G011_20"><input type="checkbox" id="extmallYn" name="extmallYn" value="Y" class="disabledPoint"/>제휴몰</label>
								<button type="button" class="btn btnRight btn-success btn-lg" id="btnExtmallPopup">선택</button><span id="extmallCntArea"> 선택 : <span id="extmallCnt">00</span>개</span>
								<div id="gridFGExtmallList" style="display:none;"></div>
							</td>
						</tr>
					</table>
				</div>

				<div class="panelStyle" style="margin:unset;">
					<!-- TITLE -->
					<div class="panelTitle">
						<h2>적용 대상 상품 등록</h2>
						<span class="panelControl">
								<i class="fa inner-fa-chevron-up"></i>    <!-- 열림/닫힘 화살표 -->
							</span>
					</div>
					<!-- //TITLE -->
					<div class="inner-panelContent">
						<div><i class="fa fa-info-circle"></i> 브랜드/공급업체/상품 중 1가지는 필수로 지정하셔야 합니다.</div>
						<div><i class="fa fa-info-circle"></i> 브랜드와 공급업체는 지정 시, 해당 브랜드의 공급처와 같은 AND조건으로 적용됩니다.(예시:A브랜드 상품 중 B업체 상품만)</div>
						<div><i class="fa fa-info-circle"></i> 공급업체와 브랜드를 적용하시더라도 적용상품은 별개로 등록된 상품을 기준으로 사은품 지급기준으로 적용하실 수 있습니다.</div>

						<div class="panelContent">
							<table class="frmStyle">
								<colgroup>
									<col width="10%"/>
									<col width="90%"/>
								</colgroup>
								<tr>
									<th>공급업체/브랜드</th>
									<td>
										<div class="padding10" style="display:inline-block;width:49%;">
											<span>공급업체 설정</span>
											<div class="padding10 inner-tb-solid">
												<button type="button" class="btn btnRight btn-success btn-lg " id="btnAddCompany">업체 추가</button>
												<button type="button" class="btn btnRight btn-success btn-lg" id="btnDeleteCompany">선택삭제</button>
												<br/>
												<div id="gridFGPromotionCompanyList" style="width:100%; height:200px;" class="ag-theme-balham"></div>
											</div>
										</div>
										<div class="padding10" style="display:inline-block;width:49%;">
											<span>브랜드 설정</span>
											<div class="padding10 inner-tb-solid">
												<button type="button" class="btn btnRight btn-success btn-lg" id="btnAddBrand">브랜드 추가</button>
												<button type="button" class="btn btnRight btn-success btn-lg" id="btnDeleteBrand">선택삭제</button>
												<br/>
												<div id="gridFGBrandList" style="width:100%; height:200px;" class="ag-theme-balham"></div>
											</div>
										</div>
									</td>
								</tr>
								<tr>
									<th>적용상품</th>
									<td>
										<div class="padding10">
											<button type="button" class="btn btnRight btn-success btn-lg" id="btnAddApplyGoods">상품 추가</button>
											<button type="button" class="btn btnRight btn-success btn-lg" id="btnDeleteApplyGoods">선택삭제</button>
											<br/>
											<div id="gridFGApplyGoodsList" style="width:100%; height:200px;" class="ag-theme-balham"></div>
										</div>
									</td>
								</tr>
							</table>
						</div>
					</div>
				</div>

				<div class="panelStyle" style="margin:unset;">
					<!-- TITLE -->
					<div class="panelTitle">
						<h2>제외 대상 상품</h2>
						<span class="panelControl">
							<i class="fa inner-fa-chevron-up"></i>    <!-- 열림/닫힘 화살표 -->
						</span>
					</div>
					<!-- //TITLE -->
					<div class="inner-panelContent">
						<div class="panelContent">
							<table class="frmStyle">
								<colgroup>
									<col width="10%"/>
									<col width="90%"/>
								</colgroup>
								<tr>
									<th>제외 대상</th>
									<td>
										<div class="padding10">
											<button type="button" class="btn btnRight btn-success btn-lg" id="btnAddExceptGoods">상품 추가</button>
											<button type="button" class="btn btnRight btn-success btn-lg" id="btnDeleteExtGoods">선택삭제</button>
											<br/>
											<div id="gridFGExceptGoodsList" style="width:100%; height:200px;" class="ag-theme-balham"></div>
										</div>
									</td>
								</tr>
							</table>
						</div>
					</div>
				</div>

				<div class="panelStyle" style="margin:unset;">
					<!-- TITLE -->
					<div class="panelTitle">
						<h2>적용 사은품 정보</h2>
						<span class="panelControl">
							<i class="fa inner-fa-chevron-up"></i>    <!-- 열림/닫힘 화살표 -->
						</span>
					</div>
					<!-- //TITLE -->
					<div class="inner-panelContent">
						<div class="panelContent">
							<table class="frmStyle">
								<colgroup>
									<col width="10%"/>
									<col width="90%"/>
								</colgroup>
								<tr>
									<th>지급 방법<em class="required" title="필수"></em></th>
									<td>
										<div>
											<span><label class="rdoBtn"><input type="radio" id="allY" class="disabledPoint" name="allYn" value="Y" checked/>모두 지급 (설정한 사은품을 모두 지급합니다)</label></span>
											<span><label class="rdoBtn"><input type="radio" id="allN" class="disabledPoint" name="allYn" value="N"/>선택 사은품 (목록 중 1개를 선택하게 합니다)</label></span>
										</div>
									</td>
								</tr>
								<tr>
									<th>사은품 조건1<em class="required" title="필수"></em><br/>(최대 2개)</th>
									<td>
										<div>
											<div><i class="fa fa-info-circle"></i> 사은품은 최대 <font color="red">5</font>개까지 설정하실 수 있습니다.</div>
											<div><i class="fa fa-info-circle"></i> 구매 금액 조건을 추가하시면 구매 금액 충족 조건에 맞는 것으로 지급됩니다. 구매금액 조건은 최대 2개까지만등록 하실 수 있습니다.</div>
											<div><i class="fa fa-info-circle"></i> 장바구니에 담았을 때의 가격 기준으로 적용됩니다.(주문상품쿠폰(다운로드쿠폰)/장바구니 쿠폰 할인 적용 전 판매가)</div>
											<label for="saleAmt">구매금액</label><input type="text" class="w300 disabledPoint" id="saleAmt" name="sectionVal" data-valid-type="numeric"/> <br/>
											<span>사은품 목록</span>
											<button type="button" class="btn btnRight btn-success btn-lg hideButten" id="btnAddFreeGoods1">+ 사은품 선택</button>
											<button type="button" class="btn btnRight btn-success btn-lg hideButten" id="btnDeleteFreeGoods1">선택삭제</button>
											<br/>
											<div id="gridFreeGoods1List" style="width:100%; height:200px;" class="ag-theme-balham"></div>
										</div>
									</td>
								</tr>
								<tr>
									<th>사은품 조건2<br/>(최대 2개)</th>
									<td>
										<div>
											<label for="saleAmt2">구매금액</label><input type="text" class="w300 disabledPoint" id="saleAmt2"  name="sectionVal2" data-valid-type="numeric"/> <br/>
											<span>사은품 목록</span>
											<button type="button" class="btn btnRight btn-success btn-lg hideButten" id="btnAddFreeGoods2">+ 사은품 선택</button>
											<button type="button" class="btn btnRight btn-success btn-lg hideButten" id="btnDeleteFreeGoods2">선택삭제</button>
											<br/>
											<div id="gridFreeGoods2List" style="width:100%; height:200px;" class="ag-theme-balham"></div>
										</div>
									</td>
								</tr>
							</table>
						</div>
					</div>
				</div>

				<div class="panelStyle" th:if="${#strings.toString(param.gbn) == 'U'}" style="margin:unset;">
					<!-- //TITLE -->
					<div class="inner-panelContent">
						<div class="panelContent">
							<table class="frmStyle">
								<colgroup>
									<col width="10%"/>
									<col width="40%"/>
									<col width="10%"/>
									<col width="40%"/>
								</colgroup>
								<tr>
									<th>등록자</th>
									<td>
										<span id="regInfo">등록자이름(연.월.일 시간:분:초)</span>
									</td>
									<th>최종수정자</th>
									<td>
										<span id="updInfo">수정자이름(연.월.일 시간:분:초)</span>
									</td>
								</tr>
							</table>
						</div>
					</div>
				</div>

				<ul class="panelBar">
					<li  class="right">
						<button type="button" class="btn btnRight btn-success btn-lg" id="btnSearchList">목록</button>
						<button type="button" class="btn btnRight btn-success btn-lg fgButton" id="btnFreegoodsPromotionSave">저장</button> <!-- 프로모션 저장 (대기) -->
						<button type="button" class="btn btnRight btn-success btn-lg fgButton" id="btnFreegoodsPromotionNameSave">저장</button> <!-- 프로모션명 저장 (진행) -->
						<button type="button" class="btn btnRight btn-success btn-lg fgButton" id="btnChangeStatIng">진행</button>
						<button type="button" class="btn btnRight btn-success btn-lg fgButton" id="btnPromotionDelete">삭제</button>
						<button type="button" class="btn btnRight btn-success btn-lg fgButton" id="btnPromotionStop">중지</button>
					</li>
				</ul>
			</form>
		</div>
	</div>
</div>

<script th:inline="javascript">
	let confirmBtnText = ["확인", "취소"];
	let formId = "freeGoodsPromotionForm";
	let FGAddGoodsStatList = gagajf.convertToArray([[${goodsStatList}]]);		// 상품 상태 리스트
	// 제휴몰 리스트 설정 (데이터 송부용 리스트 > 리스트 노출X)
	let columnFGExtmallList = [
		{headerName: "벤더ID", field: "vendorId", width: 120, cellClass: 'text-center'},
		{headerName: "제휴몰ID", field: "extmallId", width: 150, cellClass: 'text-center'},
		{headerName: "제휴몰명", field: "extmallNm", width: 150, cellClass: 'text-center'}
	];
	// 공급업체 리스트 설정
	let columnFGCompanyList = [
		{width: 40, minWidth: 40, cellClass: 'text-center', headerCheckboxSelection: true, checkboxSelection: true, filter: false},
		{headerName: "공급처ID", field: "supplyCompCd", width: 120, cellClass: 'text-center'},
		{headerName: "공급업체명", field: "supplyCompNm", width: 150, cellClass: 'text-center'}
	];
	// 브랜드 리스트 설정
	let columnBrandList = [
		{width: 40, minWidth: 40, cellClass: 'text-center', headerCheckboxSelection: true, checkboxSelection: true, filter: false},
		{headerName: "브랜드ID", field: "brandCd", width: 120, cellClass: 'text-center'},
		{headerName: "브랜드명", field: "brandEnm", width: 150, cellClass: 'text-center'}
	];
	// 적용상품 리스트 설정
	let columnApplyGoodsList = [
		{width: 40, minWidth: 40, cellClass: 'text-center', headerCheckboxSelection: true, checkboxSelection: true, filter: false},
		{headerName: "Product ID", field: "goodsCd", width: 120, cellClass: 'text-center'},
		{headerName: "브랜드명", field: "brandEnm", width: 150, cellClass: 'text-center'},
		{headerName: "상품명", field: "goodsNm", width: 120, cellClass: 'text-center'},
		{headerName: "판매상태", field: "goodsStat" , width: 120, cellClass: 'text-center',
			cellEditorParams: { values: gagaAgGrid.extractValues(FGAddGoodsStatList) },
			valueFormatter: function (params) { return gagaAgGrid.lookupValue(FGAddGoodsStatList, params.value); },
			valueParser: function (params) { return gagaAgGrid.lookupKey(FGAddGoodsStatList, params.newValue); }
		},
		{headerName: "정상가", field: "listPrice", width: 120, cellClass: 'text-center'
			,valueFormatter: function(params) {
				if(params.value && params.value > 0) {
					return params.value.addComma();
				} else {
					return 0;
				}
			}
		},
		{headerName: "판매가", field: "currPrice", width: 120, cellClass: 'text-center'
			,valueFormatter: function(params) {
				if(params.value && params.value > 0) {
					return params.value.addComma();
				} else {
					return 0;
				}
			}
		}
	];
	// 제외상품 리스트 설정
	let columnExceptGoodsList = [
		{width: 40, minWidth: 40, cellClass: 'text-center', headerCheckboxSelection: true, checkboxSelection: true, filter: false},
		{headerName: "Product ID", field: "goodsCd", width: 120, cellClass: 'text-center'},
		{headerName: "브랜드명", field: "brandEnm", width: 150, cellClass: 'text-center'},
		{headerName: "상품명", field: "goodsNm", width: 120, cellClass: 'text-center'},
		{headerName: "판매상태", field: "goodsStat" , width: 120, cellClass: 'text-center',
			cellEditorParams: { values: gagaAgGrid.extractValues(FGAddGoodsStatList) },
			valueFormatter: function (params) { return gagaAgGrid.lookupValue(FGAddGoodsStatList, params.value); },
			valueParser: function (params) { return gagaAgGrid.lookupKey(FGAddGoodsStatList, params.newValue); }
		},
		{headerName: "정상가", field: "listPrice", width: 120, cellClass: 'text-center'
			,valueFormatter: function(params) {
				if(params.value && params.value > 0) {
					return params.value.addComma();
				} else {
					return 0;
				}
			}
		},
		{headerName: "판매가", field: "currPrice", width: 120, cellClass: 'text-center'
			,valueFormatter: function(params) {
				if(params.value && params.value > 0) {
					return params.value.addComma();
				} else {
					return 0;
				}
			}
		}
	];
	// 사은품 조건1 리스트 설정 (사은품 상품 만들어지면 만들어야함)
	let columnFreeGoods1List = [
		{width: 40, minWidth: 40, cellClass: 'text-center', headerCheckboxSelection: true, checkboxSelection: true, filter: false},
		{headerName: "사은품 코드", field: "productNo", width: 120, cellClass: 'text-center'},
		{headerName: "사은품명", field: "goodsNm", width: 150, cellClass: 'text-center'},
		{headerName: "포인트액", field: "usePoint" , width: 100, cellClass: 'text-center', required: true
			,editable: true
			,valueFormatter: function(params) {
				if(params.value) {
					return params.value.addComma();
				} else {
					return 0;
				}
			},
			cellEditorParams: { maxlength: 9, validType: 'numeric'}
		},
		{headerName: "지급수량", field: "itemQty" , width: 100, cellClass: 'text-center', required: true
			,editable: true
			,valueFormatter: function(params) {
				if(params.value) {
					return params.value;
				} else {
					return 1;
				}
			}
			,cellEditorParams: { maxlength: 3, validType: 'numeric'}
		},
		{headerName: "한정수량", field: "limitQty" , width: 100, cellClass: 'text-center', required: true
			,editable: true
			,valueFormatter: function(params) {
				if(params.value) {
					return params.value.addComma();
				} else {
					return 1;
				}
			}
			,cellEditorParams: { maxlength: 9, validType: 'numeric'}
		},
		{headerName: "잔여수량", field: "leftQty", width: 120, cellClass: 'text-center'
			,valueFormatter: function(params) {
				if(params.value) {
					return params.value.addComma();
				} else {
					return 0;
				}
			}
		}
	];
	// 사은품 조건2 리스트 설정 (사은품 상품 만들어지면 만들어야함)
	let columnFreeGoods2List = [
		{width: 40, minWidth: 40, cellClass: 'text-center', headerCheckboxSelection: true, checkboxSelection: true, filter: false},
		{headerName: "사은품 코드", field: "productNo", width: 120, cellClass: 'text-center'},
		{headerName: "사은품명", field: "goodsNm", width: 150, cellClass: 'text-center'},
		{headerName: "포인트액", field: "usePoint" , width: 100, cellClass: 'text-center', required: true
			,editable: true
			,valueFormatter: function(params) {
				if(params.value) {
					return params.value.addComma();
				} else {
					return 0;
				}
			},
			cellEditorParams: { maxlength: 9, validType: 'numeric'}
		},
		{headerName: "지급수량", field: "itemQty" , width: 100, cellClass: 'text-center', required: true
			,editable: true
			,valueFormatter: function(params) {
				if(params.value) {
					return params.value;
				} else {
					return 1;
				}
			}
			,cellEditorParams: { maxlength: 3, validType: 'numeric'}
		},
		{headerName: "한정수량", field: "limitQty" , width: 100, cellClass: 'text-center', required: true
			,editable: true
			,valueFormatter: function(params) {
				if(params.value) {
					return params.value.addComma();
				} else {
					return 1;
				}
			}
			,cellEditorParams: { maxlength: 9, validType: 'numeric'}
		},
		{headerName: "잔여수량", field: "leftQty", width: 120, cellClass: 'text-center'
			,valueFormatter: function(params) {
				if(params.value) {
					return params.value.addComma();
				} else {
					return 0;
				}
			}
		}
	];
	// 제휴몰 리스트 설정
	let gridOptionsFGExtmallList = gagaAgGrid.getGridOptions(columnFGExtmallList);
	// 공급업체 리스트 설정
	let gridOptionsFGCompanyList = gagaAgGrid.getGridOptions(columnFGCompanyList);
	gridOptionsFGCompanyList.rowSelection = "multiple";
	// 브랜드 리스트 설정
	let gridOptionsFGBrandList = gagaAgGrid.getGridOptions(columnBrandList);
	gridOptionsFGBrandList.rowSelection = "multiple";
	// 적용상품 리스트 설정
	let gridOptionsFGApplyGoodsList = gagaAgGrid.getGridOptions(columnApplyGoodsList);
	gridOptionsFGApplyGoodsList.rowSelection = "multiple";
	// 제외상품 리스트 설정
	let gridOptionsFGExceptGoodsList = gagaAgGrid.getGridOptions(columnExceptGoodsList);
	gridOptionsFGExceptGoodsList.rowSelection = "multiple";
	// 사은품 조건1 리스트 설정
	let gridOptionsFreeGoods1List = gagaAgGrid.getGridOptions(columnFreeGoods1List);
	gridOptionsFreeGoods1List.rowSelection = "multiple";
	// 사은품 조건2 리스트 설정
	let gridOptionsFreeGoods2List = gagaAgGrid.getGridOptions(columnFreeGoods2List);
	gridOptionsFreeGoods2List.rowSelection = "multiple";

	var fnFreeGoodsPromotionSearchCallback = function(result) {
		if (result.freegift != null) {
			let freegift = result.freegift;
			let freegiftStatNm = freegift.freegiftStatNm;
			let today = new Date();
			let yyyy = today.getFullYear(), dd = today.getDate(), mm = today.getMonth()+1, stopDt; //January is 0!
			if(dd<10) {	dd= '0' + dd	}
			if(mm<10) {	mm= '0' + mm	}

			// 상태명 상태에 따라 변경
			if(freegift.freegiftStat == "G232_12") {					// 중지상태일 경우 중지 일시 노출
				freegiftStatNm = freegiftStatNm + " (" + freegift.updDt + ")";
			} else if (freegift.freegiftStat == "G232_11" && freegift.freegiftEddt < yyyy+"-"+mm+"-"+dd) {	// 종료된 프로모션일 경우 종료일 노출
				freegiftStatNm = "종료 (" + freegift.freegiftEddt + ")";
			}

			let stDtArr = freegift.freegiftStdt.split(" ");
			let edDtArr = freegift.freegiftEddt.split(" ");

			let stDate = stDtArr[0];
			let stHour = stDtArr[1].split(":")[0];
			let stMinute = stDtArr[1].split(":")[1];
			let edDate = edDtArr[0];
			let edHour = edDtArr[1].split(":")[0];
			let edMinute = edDtArr[1].split(":")[1];

			if(edDtArr[1] == "23:59:59") {
				edHour = "24";
				edMinute = "00";
				$("#freeGoodsPromotionForm #freegiftEdMM option").hide();
				$('#freeGoodsPromotionForm #freegiftEdMM option:first').show().prop("selected", true);
			}

			// 저장된 값 입력
			$('#freeGoodsPromotionForm input[name=freegiftNm]').val(freegift.freegiftNm);
			$('#freeGoodsPromotionForm span[name=freegiftSqText]').text(freegift.freegiftSq);
			$('#freeGoodsPromotionForm input[name=freegiftStDate]').val(stDate);
			$('#freeGoodsPromotionForm select[name=freegiftStHH]').val(stHour);
			$('#freeGoodsPromotionForm select[name=freegiftStMM]').val(stMinute);
			$('#freeGoodsPromotionForm input[name=freegiftEdDate]').val(edDate);
			$('#freeGoodsPromotionForm select[name=freegiftEdHH]').val(edHour);
			$('#freeGoodsPromotionForm select[name=freegiftEdMM]').val(edMinute);
			$('#freeGoodsPromotionForm span[name=freegiftStatText]').text(freegiftStatNm);
			$('#freeGoodsPromotionForm input[name=sectionVal]').val(freegift.sectionVal);
			$('#freeGoodsPromotionForm input[name=sectionVal2]').val(freegift.sectionVal2);
			$("#freeGoodsPromotionForm #regInfo").text(freegift.regNm + "(" + freegift.regDt + ")");
			$("#freeGoodsPromotionForm #updInfo").text(freegift.updNm + "(" + freegift.updDt + ")");

			if(freegift.allYn == "Y") {
				$("#freeGoodsPromotionForm #allY").prop("checked", true);
			} else {
				$("#freeGoodsPromotionForm #allN").prop("checked", true);
			}

			// 자사 적용일 경우
			if(freegift.selfYn == "Y") {
				$("#freeGoodsPromotionForm input[name=selfYn]").prop("checked", true);
				$("#freeGoodsPromotionForm input[name=selfYn]").parent("label").addClass("checked");
			}

			// 외부몰 적용일 경우
			if(freegift.extmallList != null && freegift.extmallList.length > 0) {
				$("#freeGoodsPromotionForm input[name=extmallYn]").parent("label").addClass("checked");
				$("#freeGoodsPromotionForm input[name=extmallYn]").prop("checked", true);
				$("#freeGoodsPromotionForm #extmallCnt").text(freegift.extmallList.length);
				$("#freeGoodsPromotionForm #allY").prop("checked", true);						// 제휴몰 선택시 지급 방법은 모두 지급으로 한정
				$("#freeGoodsPromotionForm input[name=allYn]").prop("disabled", true);			// 제휴몰 선택시 지급 방법은 모두 지급에서 수정 불가
			} else {
				$("#freeGoodsPromotionForm #btnExtmallPopup").hide();
				$("#freeGoodsPromotionForm #extmallCntArea").hide();
				$("#freeGoodsPromotionForm #extmallCnt").text(0);
				$("#freeGoodsPromotionForm #extmallIds").val("");
				$("#freeGoodsPromotionForm input[name=allYn]").prop("disabled", false);			// 제휴몰 선택 안하면 지급 방법 수정 가능
			}

			// 목록 제외 버튼 숨김
			$("#freeGoodsPromotionForm .fgButton").hide();
			if(freegift.freegiftStat == "G232_10") {		// 대기 상태일 경우
				$("#freeGoodsPromotionForm #btnFreegoodsPromotionSave").show();		// 저장
				$("#freeGoodsPromotionForm #btnChangeStatIng").show();				// 진행
				$("#freeGoodsPromotionForm #btnPromotionDelete").show();			// 삭제
			} else {
				// 대기 상태일 경우를 제외하면 모든 상태 수정 불가(기획서대로 진행 상태에서 일부 수정 가능할 경우 if문 주석 제거)
				//if(freegift.freegiftStat == "G232_11") {
					// 진행 상태일 경우 기간, 적용대상상품, 추가제외상품 외 나머지 항목 수정 불가.
					$("#freeGoodsPromotionForm input[name=extmallYn]").addClass("formControl");
					$("#freeGoodsPromotionForm .disabledPoint").prop("disabled", true);
					$("#freeGoodsPromotionForm .hideButten").hide();

					// 진행 상태일 경우 전체 수정 불가(전체가 아닌 기획서대로면 아래 내용만 삭제)
					$("#freeGoodsPromotionForm input[name=extmallYn]").addClass("formControl");
					$("#freeGoodsPromotionForm .disabledPoint").prop("disabled", true);
					$("#freeGoodsPromotionForm input").prop("disabled", true);
					$("#freeGoodsPromotionForm button").hide();

					// 진행 상태일 경우 노출 버튼 (저장 버튼은 중지시 수정 불가처리하기로하여 주석처리. 기획서대로 변경일 경우 주석 제거 및 if 제거)
					if(freegift.freegiftStat == "G232_11") {	// 진행 상태일 경우
						// $("#freeGoodsPromotionForm #btnFreegoodsPromotionSave").show();	// 저장
						$("#freegiftNm").prop("disabled", false);							// 프로모션명
						$("#freeGoodsPromotionForm #btnPromotionStop").show();				// 중지
						$("#freeGoodsPromotionForm #btnFreegoodsPromotionNameSave").show();	// 프로모션 명 변경 버튼(저장) 노출
					}

					// 목록 버튼
					$("#freeGoodsPromotionForm #btnSearchList").show();

					gridOptionsFreeGoods1List.columnApi.getColumn("usePoint").colDef.editable = false;
					gridOptionsFreeGoods1List.columnApi.getColumn("itemQty").colDef.editable = false;
					gridOptionsFreeGoods1List.columnApi.getColumn("limitQty").colDef.editable = false;
					gridOptionsFreeGoods2List.columnApi.getColumn("usePoint").colDef.editable = false;
					gridOptionsFreeGoods2List.columnApi.getColumn("itemQty").colDef.editable = false;
					gridOptionsFreeGoods2List.columnApi.getColumn("limitQty").colDef.editable = false;
				//}
			}

			gridOptionsFGExtmallList.api.setRowData(freegift.extmallList);
			gridOptionsFGCompanyList.api.setRowData(freegift.supplyCompList);
			gridOptionsFGBrandList.api.setRowData(freegift.brandList);
			gridOptionsFGApplyGoodsList.api.setRowData(freegift.applyGoodsList);
			gridOptionsFGExceptGoodsList.api.setRowData(freegift.exceptGoodsList);
			gridOptionsFreeGoods1List.api.setRowData(freegift.freeGoods1);
			gridOptionsFreeGoods2List.api.setRowData(freegift.freeGoods2);
		}
	}

	// 프로모션 상세 조회
	var fnFreegiftSearch = function() {
		var params = new Object();
		params.gbn = $('#freeGoodsPromotionForm input[name=gbn]').val();
		params.freegiftSq = $('#freeGoodsPromotionForm input[name=freegiftSq]').val();

		cfnAjaxSubmit("/marketing/freegoods/promotion/detail", "json", fnFreeGoodsPromotionSearchCallback, params);
	}

	$(document).ready(function() {
		gagaAgGrid.createGrid("gridFGExtmallList", gridOptionsFGExtmallList);
		gagaAgGrid.createGrid("gridFGPromotionCompanyList", gridOptionsFGCompanyList);
		gagaAgGrid.createGrid("gridFGBrandList", gridOptionsFGBrandList);
		gagaAgGrid.createGrid("gridFGApplyGoodsList", gridOptionsFGApplyGoodsList);
		gagaAgGrid.createGrid("gridFGExceptGoodsList", gridOptionsFGExceptGoodsList);
		gagaAgGrid.createGrid("gridFreeGoods1List", gridOptionsFreeGoods1List);
		gagaAgGrid.createGrid("gridFreeGoods2List", gridOptionsFreeGoods2List);

		if("C" == [[${param.gbn}]]) {
			$("#freeGoodsPromotionForm #btnExtmallPopup").hide();
			$("#freeGoodsPromotionForm #extmallCntArea").hide();
			$("#freeGoodsPromotionForm .fgButton").hide();
			$("#freeGoodsPromotionForm #btnFreegoodsPromotionSave").show();

			// 기간 검색 default 조건 (오늘부터 1주일)
			let date = new Date();
			$("#freeGoodsPromotionForm #freegiftStDate").val(date.format("YYYY-MM-DD"));	// 오늘 날짜
			date.setDate(date.getDate() + 7);												// 등록일 + 7일
			$("#freeGoodsPromotionForm #freegiftEdDate").val(date.format("YYYY-MM-DD"));	// 1주일 후 날짜

			$('#freeGoodsPromotionForm #freegiftEdHH option:last').prop("selected", true);
			$("#freeGoodsPromotionForm #freegiftEdMM option").hide();
			$('#freeGoodsPromotionForm #freegiftEdMM option:first').show().prop("selected", true);
		} else {
			fnFreegiftSearch();
		}
	});

	// 제휴몰 체크 상태 확인
	$("#freeGoodsPromotionForm #G011_20").on("click", function() {
		if(!$("#freeGoodsPromotionForm input[name=extmallYn]").hasClass("formControl")) {		// 수정금지 상태가 아니라면
			// 체크여부 확인 (선택되면 자동 checked 추가되는데, 추가되기 전 동작해서 반대로 지정)
			if(!$("#freeGoodsPromotionForm #G011_20 #extmallYn").is(":checked")) {
				$("#freeGoodsPromotionForm #btnExtmallPopup").hide();
				$("#freeGoodsPromotionForm #extmallCntArea").hide();
				$("#freeGoodsPromotionForm input[name=allYn]").prop("disabled", false);			// 제휴몰 선택 안하면 지급 방법 수정 가능
				gridOptionsFGExtmallList.api.setRowData(null);
				$("#extmallCnt").text(gagaAgGrid.getAllRowData(gridOptionsFGExtmallList).length);
			} else {
				$("#freeGoodsPromotionForm #btnExtmallPopup").show();
				$("#freeGoodsPromotionForm #extmallCntArea").show();
				$("#freeGoodsPromotionForm #allY").prop("checked", true);						// 제휴몰 선택시 지급 방법은 모두 지급으로 한정
				$("#freeGoodsPromotionForm input[name=allYn]").prop("disabled", true);			// 제휴몰 선택시 지급 방법은 모두 지급에서 수정 불가
			}
		}
	});

	$('#freeGoodsPromotionForm input[name=freegiftNm]').on('focusout', function() {
		if($('#freeGoodsPromotionForm input[name=freegiftNm]').val().length < 2) {
			mcxDialog.alert("2자~30자 이상 프로모션명을 입력하세요.");
			return;
		}
	});

	// 리스트 정보 수정
	function fnSetListInfo(result, gridListOption, key) {
		let resultList = [];											// 최종 상품 리스트
		let gridListValue = gagaAgGrid.getAllRowData(gridListOption);	// 기존 리스트
		let addCnt = 0;													// 적용 성공 수량
		let failCnt = 0;												// 실패 수량
		// 기존 리스트 데이터 for
		for(let i = 0 ; i < result.length ; i++) {
			let addChk = true;					// 받아온 모든 데이터

			// 받아온 data for
			for(let j = 0 ; j < gridListValue.length ; j++) {
				// 조회한 상품 중 동일하지 않은 데이터만 추가
				if(eval("gridListValue[j]." + key) == eval("result[i]." + key)) {	addChk = false;	}		// 중복체크
			}

			// 추가된 데이터 중 중복되지 않은 데이터 리스트에 추가
			if(addChk) {	resultList.push(result[i]); addCnt++;	}
		}

		// 사은품 추가는 5개까지만
		if(key == "productNo") {
			let totalCnt = resultList.length + gridListValue.length;
			if(totalCnt > 5) {
				mcxDialog.alert("사은품은 최대 5개까지만 등록하실 수 있습니다.");
				return false;
			}

			failCnt = result.length - addCnt;
			mcxDialog.alert("데이터가 적용되었습니다.<br/>" + addCnt + "건 성공, " + failCnt + "건 실패");
		} else if (key == "goodsCd") {
			uifnPopupClose('popupGoods');
			failCnt = result.length - addCnt;
			mcxDialog.alert("데이터가 적용되었습니다.<br/>" + addCnt + "건 성공, " + failCnt + "건 실패");
		}

		// 추가된 정보 그리드에 추가
		for(let i = 0 ; i < resultList.length ; i++) {
			gagaAgGrid.addRowData(gridListOption, resultList[i], key);
		}
	}

	// 저장 후 콜백 함수
	var fnFreeGoodsPromotionSaveFin = function(result) {
		if("C" != [[${param.gbn}]]) {
			fnFreeGoodsPromotionListSearch();
			fnFreegiftSearch();
		} else {
			fnFreeGoodsPromotionListSearch();
			uifnPopupClose('popupFreeGoodsPromotionRegi');
		}
	}

	// 저장 버튼 클릭시
	$('#freeGoodsPromotionForm #btnFreegoodsPromotionNameSave').on('click', function() {
		if($('#freeGoodsPromotionForm input[name=freegiftNm]').val().length < 2) {
			mcxDialog.alert("2자~30자 이상 프로모션명을 입력하세요.");
			return false;
		}

		// var params =  $(formId).serialize();
		var data = {  freegiftSq : $("#freeGoodsPromotionForm input[name=freegiftSq]").val()
					, freegiftNm : $("#freeGoodsPromotionForm input[name=freegiftNm]").val()
		};

		var jsonData = JSON.stringify(data);
		gagajf.ajaxJsonSubmit('/marketing/freegoods/promotion/name/save', jsonData, fnFreeGoodsPromotionSaveFin);
	});

	// 저장 버튼 클릭시
	$('#freeGoodsPromotionForm #btnFreegoodsPromotionSave').on('click', function() {
		// 각 ag-grid list 수량
		let extmallCnt = gagaAgGrid.getAllRowData(gridOptionsFGExtmallList).length;
		let supplyCompCnt = gagaAgGrid.getAllRowData(gridOptionsFGCompanyList).length;
		let brandCnt = gagaAgGrid.getAllRowData(gridOptionsFGBrandList).length;
		let applyGoodsCnt = gagaAgGrid.getAllRowData(gridOptionsFGApplyGoodsList).length;
		let exceptGoodsCnt = gagaAgGrid.getAllRowData(gridOptionsFGExceptGoodsList).length;
		let freeGoods1Cnt = gagaAgGrid.getAllRowData(gridOptionsFreeGoods1List).length;
		let freeGoods2Cnt = gagaAgGrid.getAllRowData(gridOptionsFreeGoods2List).length;

		if (!gagajf.validation('#freeGoodsPromotionForm')) {
			return false;
		}

		if($('#freeGoodsPromotionForm input[name=freegiftNm]').val().length < 2) {
			mcxDialog.alert("2자~30자 이상 프로모션명을 입력하세요.");
			return false;
		}

		let fromDate = $("#freeGoodsPromotionForm input[name=freegiftStDate]").val() + " " + $("#freeGoodsPromotionForm select[name=freegiftStHH]").val() + ":" + $("#freeGoodsPromotionForm select[name=freegiftStMM]").val() + ":00";
		let toDate = $("#freeGoodsPromotionForm input[name=freegiftEdDate]").val();
		if($("#freeGoodsPromotionForm select[name=freegiftEdHH]").val() == "24") {
			toDate += " 23:59:59";
		} else {
			toDate += " " + $("#freeGoodsPromotionForm select[name=freegiftEdHH]").val() + ":" + $("#freeGoodsPromotionForm select[name=freegiftEdMM]").val() + ":00";
		}

		if (fromDate >= toDate) {
			mcxDialog.alert("시작일자는 종료일자 보다 늦거나 같을 수 없습니다.");
			return false;
		}

		var sdt = new Date(fromDate);
		var edt = new Date(toDate);
		var dateDiff = Math.ceil((edt.getTime()-sdt.getTime())/(1000*3600*24));
		if(dateDiff > 365) {
			mcxDialog.alert("행사 기간은 1년을 초과 할 수 없습니다.");
			return false;
		}

		if($("#extmallYn").is(":checked") && extmallCnt < 1) {
			mcxDialog.alert("제휴몰을 선택해주세요.");
			return false;
		}

		// 공급업체, 브랜드, 적용상품 중 1개 필수 체크
		if(supplyCompCnt < 1 && brandCnt < 1 && applyGoodsCnt < 1) {
			mcxDialog.alert("공급업체, 브랜드, 적용 상품 중 한가지 이상 등록해주세요.");
			return false;
		}

		// 사은품조건1 필수 체크
		if(freeGoods1Cnt < 1) {
			mcxDialog.alert("사은품 조건을 입력하세요.");
			return false;
		}

		if($("#freeGoodsPromotionForm #saleAmt").val() == "" || $("#freeGoodsPromotionForm #saleAmt").val() < 1) {
			mcxDialog.alert("사은품 조건1의 구매금액 조건을 설정해주세요.");
			return false;
		}

		let freeGoods1 = gagaAgGrid.getAllRowData(gridOptionsFreeGoods1List);
		let freeGoods2 = gagaAgGrid.getAllRowData(gridOptionsFreeGoods2List);

		// 지급수량, 한정수량 체크
		for(let i = 0 ; i < freeGoods1.length ; i++) {
			if(!freeGoods1[i].usePoint || freeGoods1[i].usePoint == "undefined") {		// 포인트액을 변경하지 않았을 경우 디폴트 값으로 설정
				freeGoods1[i].usePoint = 0;
			}
			if(!freeGoods1[i].itemQty || freeGoods1[i].itemQty == "undefined") {		// 지급수량을 변경하지 않았을 경우 디폴트 값으로 설정
				freeGoods1[i].itemQty = 1;
			}
			if(!freeGoods1[i].limitQty || freeGoods1[i].limitQty == "undefined") {		// 한정수량을 변경하지 않았을 경우 디폴트 값으로 설정
				freeGoods1[i].limitQty = 1;
			}
			if(freeGoods1[i].itemQty < 1) {
				mcxDialog.alert("사은품조건1의 지급 수량을 1개 이상 입력해주세요.");
				return false;
			}
			if(freeGoods1[i].limitQty < 0) {
				mcxDialog.alert("사은품조건1의 한정 수량을 0개 이상 입력해주세요.");
				return false;
			}

			if(freeGoods1[i].usePoint > 999999999) {
				mcxDialog.alert("사은품조건1의 포인트액 최대 값은 999999999 입니다.");
				return false;
			}
			if(freeGoods1[i].itemQty > 999) {
				mcxDialog.alert("사은품조건1의 지급수량 최대 값은 999 입니다.");
				return false;
			}
			if(freeGoods1[i].limitQty > 999999999) {
				mcxDialog.alert("사은품조건1의 한정수량 최대 값은 999999999 입니다.");
				return false;
			}
		}

		for(let i = 0 ; i < freeGoods2.length ; i++) {
			if(!freeGoods2[i].usePoint || freeGoods2[i].usePoint == "undefined") {		// 포인트액을 변경하지 않았을 경우 디폴트 값으로 설정
				freeGoods2[i].usePoint = 0;
			}
			if(!freeGoods2[i].itemQty || freeGoods2[i].itemQty == "undefined") {		// 지긊수량을 변경하지 않았을 경우 디폴트 값으로 설정
				freeGoods2[i].itemQty = 1;
			}
			if(!freeGoods2[i].limitQty || freeGoods2[i].limitQty == "undefined") {		// 한정수량을 변경하지 않았을 경우 디폴트 값으로 설정
				freeGoods2[i].limitQty = 1;
			}

			if(freeGoods2[i].itemQty < 1) {
				mcxDialog.alert("사은품조건2의 지급 수량을 1개 이상 입력해주세요.");
				return false;
			}
			if(freeGoods2[i].limitQty < 0) {
				mcxDialog.alert("사은품조건2의 한정 수량을 0개 이상 입력해주세요.");
				return false;
			}
			if(freeGoods2[i].usePoint > 999999999) {
				mcxDialog.alert("사은품조건2의 포인트액 최대 값은 999999999 입니다.");
				return false;
			}
			if(freeGoods2[i].itemQty > 999) {
				mcxDialog.alert("사은품조건2의 지급수량 최대 값은 999 입니다.");
				return false;
			}
			if(freeGoods2[i].limitQty > 999999999) {
				mcxDialog.alert("사은품조건2의 한정수량 최대 값은 999999999 입니다.");
				return false;
			}
		}

		// 사은품조건1 의 수량 체크
		if(freeGoods1Cnt > 5) {
			mcxDialog.alert("사은품 조건1의 사은품은 최대 5개까지 등록가능합니다.");
			return false;
		}

		// 사은품조건2의 수량 체크
		if(freeGoods2Cnt > 5) {
			mcxDialog.alert("사은품 조건2의 사은품은 최대 5개까지 등록가능합니다.");
			return false;
		}
		if($("#freeGoodsPromotionForm #saleAmt2").val() == "" || $("#freeGoodsPromotionForm #saleAmt2").val() < 1) {
			if(freeGoods2Cnt > 0) {
				mcxDialog.alert("사은품 조건2의 구매금액 조건을 설정해주세요.");
				return false;
			}
		} else {
			if (freeGoods2Cnt < 1) {
				mcxDialog.alert("사은품 조건2의 사은품을 선택해주세요.");
				return false;
			}
		}

		let selfYn = $("#freeGoodsPromotionForm input[name=selfYn]:checked").val();
		if(!selfYn || selfYn == "") { selfYn = "N"; }

		let freegiftStdt = $("#freeGoodsPromotionForm input[name=freegiftStDate]").val() + " " + $("#freeGoodsPromotionForm select[name=freegiftStHH]").val() + ":" + $("#freeGoodsPromotionForm select[name=freegiftStMM]").val() + ":00";
		let freegiftEddt = $("#freeGoodsPromotionForm input[name=freegiftEdDate]").val();
		if($("#freeGoodsPromotionForm select[name=freegiftEdHH]").val() == "24") {
			freegiftEddt += " 23:59:59";
		} else {
			freegiftEddt += " " + $("#freeGoodsPromotionForm select[name=freegiftEdHH]").val() + ":" + $("#freeGoodsPromotionForm select[name=freegiftEdMM]").val() + ":00";
		}

		// var params =  $(formId).serialize();
		var data = {  gbn : $("#freeGoodsPromotionForm input[name=gbn]").val()
			        , freegiftSq : $("#freeGoodsPromotionForm input[name=freegiftSq]").val()
			        , freegiftNm : $("#freeGoodsPromotionForm input[name=freegiftNm]").val()
					, freegiftStdt : freegiftStdt
					, freegiftEddt : freegiftEddt
					, selfYn : selfYn
					, extmallYn : $("#freeGoodsPromotionForm input[name=extmallYn]:checked").val()
					, allYn : $("#freeGoodsPromotionForm input[name=allYn]:checked").val()
					, sectionVal : $("#freeGoodsPromotionForm input[name=sectionVal]").val()
					, sectionVal2 : $("#freeGoodsPromotionForm input[name=sectionVal2]").val()
					, supplyCompList : gagaAgGrid.getAllRowData(gridOptionsFGCompanyList)
					, brandList : gagaAgGrid.getAllRowData(gridOptionsFGBrandList)
					, extmallList : gagaAgGrid.getAllRowData(gridOptionsFGExtmallList)
					, applyGoodsList : gagaAgGrid.getAllRowData(gridOptionsFGApplyGoodsList)
					, exceptGoodsList : gagaAgGrid.getAllRowData(gridOptionsFGExceptGoodsList)
					, freeGoods1 : freeGoods1
					, freeGoods2 : freeGoods2
		};

		var jsonData = JSON.stringify(data);
		gagajf.ajaxJsonSubmit('/marketing/freegoods/promotion/save', jsonData, fnFreeGoodsPromotionSaveFin);
	});

	// 할인방식 변경
	$("#freeGoodsPromotionForm #freegiftEdHH").bind('click change', function () {
		if(this.value == 24) {
			$("#freeGoodsPromotionForm #freegiftEdMM option").hide();
			$('#freeGoodsPromotionForm #freegiftEdMM option:first').show().prop("selected", true);
		} else {
			$("#freeGoodsPromotionForm #freegiftEdMM option").show();
		}
	});

	// 목록 버튼 클릭
	$("#freeGoodsPromotionForm #btnSearchList").on("click", function() {
		uifnPopupClose('popupFreeGoodsPromotionRegi');
	});

	// 진행 버튼 클릭
	$("#freeGoodsPromotionForm #btnChangeStatIng").on("click", function() {
		mcxDialog.confirmC("프로모션을 진행하시겠습니까?<br/>진행 후에는 수정이 제한될 수 있습니다.", {
			btn: confirmBtnText,
			btnClick: function(index) {
				if(index == 1) {
					let data = { freegiftStat : "G232_11"				// 진행
						, freegiftSq : $("#freeGoodsPromotionForm input[name=freegiftSq]").val()
					}
					var jsonData = JSON.stringify(data);
					gagajf.ajaxJsonSubmit('/marketing/freegoods/promotion/change/stat', jsonData, fnFreeGoodsPromotionSaveFin);
				}
			}
		});
	});

	// 삭제 버튼 클릭
	$("#freeGoodsPromotionForm #btnPromotionDelete").on("click", function() {
		mcxDialog.confirmC("프로모션을 삭제하시겠습니까?<br/>삭제한 프로모션은 복원하실 수 없습니다.", {
			btn: confirmBtnText,
			btnClick: function(index) {
				if(index == 1) {
					let data = {
						freegiftStat: "G232_14"			// 삭제
						, freegiftSq: $("#freeGoodsPromotionForm input[name=freegiftSq]").val()
					}
					var jsonData = JSON.stringify(data);
					gagajf.ajaxJsonSubmit('/marketing/freegoods/promotion/change/stat', jsonData, function() {
						uifnPopupClose('popupFreeGoodsPromotionRegi');
					});
				}
			}
		});
	});

	// 중지 버튼 클릭
	$("#freeGoodsPromotionForm #btnPromotionStop").on("click", function() {
		mcxDialog.confirmC("프로모션을 중지하시겠습니까?<br/>중지 후에는 진행으로 복원하실 수 없습니다.", {
			btn: confirmBtnText,
			btnClick: function(index) {
				if(index == 1) {
					let data = {
						freegiftStat: "G232_12"			// 중지
						, freegiftSq: $("#freeGoodsPromotionForm input[name=freegiftSq]").val()
					}
					var jsonData = JSON.stringify(data);
					gagajf.ajaxJsonSubmit('/marketing/freegoods/promotion/change/stat', jsonData, fnFreeGoodsPromotionSaveFin);
				}
			}
		});
	});

	// 공급업체 설정 / 업체 추가 콜백함수
	var fnSetPopupComapnyInfo = function(result) {
		fnSetListInfo(result, gridOptionsFGCompanyList, "supplyCompCd");
	};
	// 브랜드 설정 / 브랜드 추가 콜백함수 (단수로 가져오므로 복수일 경우에 수정 확인 필요)
	var fnSetPopupBrandInfo = function(result) {
		fnSetListInfo(result, gridOptionsFGBrandList, "brandCd");
	};
	// 적용 상품 리스트 콜백함수
	var fnSetPopupApplyGoodsInfo = function(result) {
		fnSetListInfo(result, gridOptionsFGApplyGoodsList, "goodsCd");
	};
	// 제외 상품 리스트 콜백함수
	var fnSetPopupExceptGoodsInfo = function(result) {
		fnSetListInfo(result, gridOptionsFGExceptGoodsList, "goodsCd");
	};
	// 사은품 조건1 상품 리스트 콜백함수
	var fnSetPopupFreeGoods1Info = function(result) {
		fnSetListInfo(result, gridOptionsFreeGoods1List, "productNo");
	};
	// 사은품 조건2 상품 리스트 콜백함수
	var fnSetPopupFreeGoods2Info = function(result) {
		fnSetListInfo(result, gridOptionsFreeGoods2List, "productNo");
	};

	// 제휴몰 리스트 세팅
	function fnSetPopupExtmallInfo(result) {
		let resultList = [];											// 최종 상품 리스트
		let gridListValue = gagaAgGrid.getAllRowData(gridOptionsFGExtmallList);	// 기존 리스트

		// 콜백 리스트 데이터 for
		for(let i = 0 ; i < result.length ; i++) {
			let addChk = true;					// 받아온 모든 데이터

			// 기존 data for
			for(let j = 0 ; j < gridListValue.length ; j++) {
				// 조회한 상품 중 동일하지 않은 데이터만 추가
				if((gridListValue[j].vendorId + "" + gridListValue[j].extmallId) == (result[i].vendorId + "" + result[i].extmallId)) {
					addChk = false;			// 중복체크
				}
			}

			// 추가된 데이터 중 중복되지 않은 데이터 리스트에 추가
			if(addChk) {	resultList.push(result[i]);	}
		}

		// 추가된 정보 그리드에 추가
		for(let i = 0 ; i < resultList.length ; i++) {
			gagaAgGrid.addRowData(gridOptionsFGExtmallList, resultList[i], "extmallId");
		}

		// 수정된 수량 갯수 수정
		$("#freeGoodsPromotionForm #extmallCnt").text(gagaAgGrid.getAllRowData(gridOptionsFGExtmallList).length);
	}

	// 제휴몰 선택 버튼 클릭시
	$('#freeGoodsPromotionForm #btnExtmallPopup').on('click', function() {
		cfnOpenExtmallListPopup("fnSetPopupExtmallInfo");
	});
	// 공급업체 설정 업체 추가 버튼 클릭시
	$('#freeGoodsPromotionForm #btnAddCompany').on('click', function() {
		cfnOpenCompanyListPopup("fnSetPopupComapnyInfo", "M");
	});
	// 브랜드 추가 버튼 클릭시 (복수 브랜드때 수정 필요)
	$('#freeGoodsPromotionForm #btnAddBrand').on('click', function() {
		cfnOpenBrandListPopup("fnSetPopupBrandInfo", "M");
	});
	// 적용 상품 추가 버튼 클릭시
	$('#freeGoodsPromotionForm #btnAddApplyGoods').on('click', function() {
		cfnOpenGoodsPopup("fnSetPopupApplyGoodsInfo");
	});
	// 제외 상품 추가 버튼 클릭시
	$('#freeGoodsPromotionForm #btnAddExceptGoods').on('click', function() {
		cfnOpenGoodsPopup("fnSetPopupExceptGoodsInfo");
	});
	// 사은품 조건1 상품 추가 버튼 클릭시
	$('#freeGoodsPromotionForm #btnAddFreeGoods1').on('click', function() {
		cfnOpenFreeGoodsPopup("fnSetPopupFreeGoods1Info");
	});
	// 사은품 조건2 상품 추가 버튼 클릭시
	$('#freeGoodsPromotionForm #btnAddFreeGoods2').on('click', function() {
		cfnOpenFreeGoodsPopup("fnSetPopupFreeGoods2Info");
	});

	// 공급업체 설정 선택삭제 버튼 클릭시
	$('#freeGoodsPromotionForm #btnDeleteCompany').on('click', function() {
		gridOptionsFGCompanyList.api.updateRowData({remove:gagaAgGrid.selectedRowData(gridOptionsFGCompanyList)});
	});
	// 브랜드 설정 선택삭제 버튼 클릭시
	$('#freeGoodsPromotionForm #btnDeleteBrand').on('click', function() {
		gridOptionsFGBrandList.api.updateRowData({remove:gagaAgGrid.selectedRowData(gridOptionsFGBrandList)});
	});
	// 적용상품 선택삭제 버튼 클릭시
	$('#freeGoodsPromotionForm #btnDeleteApplyGoods').on('click', function() {
		gridOptionsFGApplyGoodsList.api.updateRowData({remove:gagaAgGrid.selectedRowData(gridOptionsFGApplyGoodsList)});
	});
	// 제외상품 선택삭제 버튼 클릭시
	$('#freeGoodsPromotionForm #btnDeleteExtGoods').on('click', function() {
		gridOptionsFGExceptGoodsList.api.updateRowData({remove:gagaAgGrid.selectedRowData(gridOptionsFGExceptGoodsList)});
	});
	// 사은품조건1 선택삭제 버튼 클릭시
	$('#freeGoodsPromotionForm #btnDeleteFreeGoods1').on('click', function() {
		gridOptionsFreeGoods1List.api.updateRowData({remove:gagaAgGrid.selectedRowData(gridOptionsFreeGoods1List)});
	});
	// 사은품조건2 선택삭제 버튼 클릭시
	$('#freeGoodsPromotionForm #btnDeleteFreeGoods2').on('click', function() {
		gridOptionsFreeGoods2List.api.updateRowData({remove:gagaAgGrid.selectedRowData(gridOptionsFreeGoods2List)});
	});

	//패널영역 줄이기
	$(document).on("click",".panelControl .inner-fa-chevron-up", function() {
		$(this).parent().parent().parent().find(".inner-panelContent").slideUp(100);
		$(this).attr("class","fa inner-fa-chevron-down");
	});
	//패널영역 펼치기
	$(document).on("click",".panelControl .inner-fa-chevron-down", function() {
		$(this).parent().parent().parent().find(".inner-panelContent").slideDown(100);
		$(this).attr("class","fa inner-fa-chevron-up");
	});

	// 창 닫기
	var fnFreeGoodsPromotionFormClose = function(){
		uifnPopupClose('popupFreeGoodsPromotionRegi');
	}

</script>

<!-- 내부 영역 slide 버튼 모양 생성 -->
<style>
	.inner-fa-chevron-up:before {content: "\f077";}
	.inner-fa-chevron-down:before {content: "\f078";}
</style>
</html>
